Quote a generation
The credits this generation would reserve and the available AI credits, checked exactly like a start without starting or reserving anything. Required API key scopes: `projects:read`.
Authorization
apiKeyAuth Path Parameters
id*string
Resource identifier
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/projects/string/generations/quote" \ -H "Content-Type: application/json" \ -d '{ "kind": "image", "prompt": "A pumpkin field at golden hour, wide shot", "aspectRatio": "3:2" }'{ "success": true, "data": { "kind": "image", "model": "google/nano-banana-2.1", "credits": 90, "availableCredits": 4210 }}